<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>nl.dimario</groupId>
    <artifactId>gray</artifactId>
    <version>0.1.0-SNAPSHOT</version>
  </parent>
  <artifactId>gray-site</artifactId>
  <packaging>war</packaging>
  <name>gray Site</name>
  <description>gray Site</description>
  <dependencies>
    <dependency>
      <groupId>javax.servlet.jsp</groupId>
      <artifactId>jsp-api</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.taglibs</groupId>
      <artifactId>taglibs-standard-spec</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.taglibs</groupId>
      <artifactId>taglibs-standard-impl</artifactId>
    </dependency>
    
    <!-- the following xalan dependencies are required by apache standard taglibs implementation -->
    <dependency>
      <groupId>xalan</groupId>
      <artifactId>xalan</artifactId>
    </dependency>
    <dependency>
      <groupId>xalan</groupId>
      <artifactId>serializer</artifactId>
    </dependency>

    <dependency>
      <groupId>org.onehippo.cms7.hst.dependencies</groupId>
      <artifactId>hst-server-dependencies</artifactId>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7.hst.dependencies</groupId>
      <artifactId>hst-spring-dependencies</artifactId>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7.hst.dependencies</groupId>
      <artifactId>hst-client-dependencies</artifactId>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.freemarker</groupId>
      <artifactId>freemarker</artifactId>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7.hst.client-modules</groupId>
      <artifactId>hst-cms-rest</artifactId>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7.hst.client-modules</groupId>
      <artifactId>hst-page-composer</artifactId>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7.hst.components</groupId>
      <artifactId>hst-security</artifactId>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7</groupId>
      <artifactId>hippo-plugin-selections-hst-client</artifactId>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7</groupId>
      <artifactId>hippo-essentials-plugin-sdk-api</artifactId>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7</groupId>
      <artifactId>hippo-essentials-components-hst</artifactId>
    </dependency>
    <dependency>
      <groupId>org.easymock</groupId>
      <artifactId>easymock</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.onehippo.cms7.hst</groupId>
      <artifactId>hst-mock</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>
  <build>
    <resources>
      <resource>
        <filtering>false</filtering>
        <directory>src/main/java</directory>
        <includes>
          <include>**/*.properties</include>
        </includes>
      </resource>
      <resource>
        <filtering>true</filtering>
        <directory>src/main/resources</directory>
      </resource>
    </resources>
    <finalName>site</finalName>
    <plugins>
      <plugin>
        <groupId>org.codehaus.cargo</groupId>
        <artifactId>cargo-maven2-plugin</artifactId>
        <configuration>
          <configuration>
            <type>runtime</type>
          </configuration>
          <container>
            <type>remote</type>
          </container>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
